Results 1 to 3 of 3

Thread: problem in using VC++5.0 with GLUT

  1. #1
    Junior Member Newbie
    Join Date
    Jul 2001
    Location
    pakistan
    Posts
    8

    problem in using VC++5.0 with GLUT

    i received the following error message in the visual c++ 5.0 output window when i try to compile program. how to solve this problem?

    below is the error message:

    C:\Program Files\DevStudio\VC\LIB\glut32.lib : fatal error LNK1106: invalid file or disk full: cannot seek to 0x3924edc9
    Error executing link.exe.

    i've copied the required files(glut 3.7.2) into
    ..\vc\include\gl\glut.h
    ..\vc\lib\glut32.lib

    below is an example program from OpenGL prog guide

    #include <GL/glut.h>
    #include <stdlib.h>

    void display(void)
    {
    glClear (GL_COLOR_BUFFER_BIT);
    glColor3f (1.0, 1.0, 1.0);
    glBegin(GL_POLYGON);
    glVertex3f (0.25, 0.25, 0.0);
    glVertex3f (0.75, 0.25, 0.0);
    glVertex3f (0.75, 0.75, 0.0);
    glVertex3f (0.25, 0.75, 0.0);
    glEnd();
    glFlush ();
    }

    void init (void)
    {
    glClearColor (0.0, 0.0, 0.0, 0.0);
    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    glOrtho(0.0, 1.0, 0.0, 1.0, -1.0, 1.0);
    }

    int main(int argc, char** argv)
    {
    glutInit(&argc, argv);
    glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB);
    glutInitWindowSize (250, 250);
    glutInitWindowPosition (100, 100);
    glutCreateWindow ("hello");
    init ();
    glutDisplayFunc(display);
    glutMainLoop();
    return 0;
    }

    email: ekkhoo@iname.com (beginner)

  2. #2
    Senior Member OpenGL Guru Relic's Avatar
    Join Date
    Apr 2000
    Posts
    2,450

    Re: problem in using VC++5.0 with GLUT

    Looks like the glut32.lib format is not understood by your linker.
    Just an idea: Have you tried to compile the GLUT lib with VC5.0 yourself to get a fresh lib which then must be compatible with your linker? Maybe that resolves the issue.

    Hmm, actually the LNK1106 just refers to problems with the harddrive's space or defects, or linking over a network.

    [This message has been edited by Relic (edited 06-15-2000).]

  3. #3
    Member Contributor
    Join Date
    May 2000
    Location
    Ottawa, Ontario, Canada
    Posts
    75

    Re: problem in using VC++5.0 with GLUT

    Probably irrelevant but VC++6.0 is available on many CDs that come with numerous books on graphics and game programming.

Similar Threads

  1. Problem with using GLUT
    By Savail in forum OpenGL: General
    Replies: 4
    Last Post: 09-02-2010, 09:10 AM
  2. Problem with glut.h
    By Redundant in forum OpenGL: General
    Replies: 0
    Last Post: 12-29-2005, 07:56 AM
  3. GLUT Problem
    By bra-ket in forum OpenGL: General
    Replies: 7
    Last Post: 02-09-2004, 07:59 PM
  4. Problem with GLUT
    By marlesno in forum OpenGL: Basic Coding
    Replies: 4
    Last Post: 11-17-2003, 05:42 AM
  5. Help! Problem about Glut
    By Dickie in forum OpenGL: Basic Coding
    Replies: 2
    Last Post: 09-21-2003, 06:38 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Proudly hosted by Digital Ocean